Bug 441963 - Cannot select or unselect text with the mouse while in name editing mode
Summary: Cannot select or unselect text with the mouse while in name editing mode
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_kwinvirtualdesktops (show other bugs)
Version: unspecified
Platform: Neon Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: regression, usability
Depends on:
Blocks:
 
Reported: 2021-09-03 19:27 UTC by Alexander Potashev
Modified: 2021-09-09 16:52 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.23


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Potashev 2021-09-03 19:27:52 UTC
SUMMARY
Cannot unselect text by mouse click in the editing line for a virtual desktop name.

STEPS TO REPRODUCE
1. Run systemsettings, open the Virtual Desktops KCM
2. Click Rename for one of the virtual desktops (or alternatively double-click on a line in the list) -> there's now a blinking text cursor, and the desktop name is selected (has blue background)
3. Single-click inside the desktop name's text box.

OBSERVED RESULT
Nothing happens.

EXPECTED RESULT
Should unselect all text and put the text cursor to the mouse click location.

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version:  5.22.80
KDE Frameworks Version: 5.86.0
Qt Version: 5.15.3

ADDITIONAL INFORMATION
Comment 1 Nate Graham 2021-09-09 16:47:27 UTC
For that matter you can't move the insertion point or drag-select text with the mouse either.
Comment 2 Nate Graham 2021-09-09 16:49:50 UTC
Ah, the double-click mouse area broke it. Will fix.
Comment 3 Nate Graham 2021-09-09 16:52:09 UTC
Git commit d11b4c808415bfcfa853e4828d0f503b483d49cf by Nate Graham.
Committed on 09/09/2021 at 16:51.
Pushed by ngraham into branch 'master'.

kcmkwin/kwindesktop: disable double-click mouse area while in edit mode

Otherwise the mouse area eats clicks and prevents text selection using
the mouse from working.
FIXED-IN: 5.23

M  +1    -0    src/kcmkwin/kwindesktop/package/contents/ui/main.qml

https://invent.kde.org/plasma/kwin/commit/d11b4c808415bfcfa853e4828d0f503b483d49cf